\usepackage{xcolor}
\usepackage{pgfplots}
\usepgfplotslibrary{colormaps}
\usepackage{xparse}

\NewDocumentCommand{\definekitcolor}{ m m O{rgb}}{
	\definecolor{kit-#1}{#3}{#2}
	\colorlet{kit-#1100}{kit-#1!100}
	\colorlet{kit-#170}{kit-#1!70}
	\colorlet{kit-#150}{kit-#1!50}
	\colorlet{kit-#130}{kit-#1!30}
	\colorlet{kit-#115}{kit-#1!15}
	
	\pgfplotsset{
		colormap={kit-#1}{color=(kit-#1100) color=(kit-#115)}
	}
}

\definekitcolor{red}{.25,1,1,0}[cmyk]
\definekitcolor{orange}{0,.45,1,0}[cmyk]
\definekitcolor{yellow}{0,.05,1,0}[cmyk]
\definekitcolor{palegreen}{.44,.74,.26}
\definekitcolor{green}{0,.59,.51}
\definekitcolor{cyan}{.0,.68,.91}
\definekitcolor{blue}{.27,.29,.67}
\definekitcolor{purple}{.73,.10,.55}
% dont use brown...
\definekitcolor{brown}{.68,.51,.20}

% redefine xcolor colors
\colorlet{cyan}{kit-cyan}
\colorlet{green}{kit-green}
\colorlet{orange}{kit-orange}
\colorlet{violet}{kit-purple!50!kit-blue}

\colorlet{blue}{kit-blue}
\colorlet{darkgray}{black!70}
\colorlet{lightgray}{black!15}
\colorlet{purple}{kit-purple}

\colorlet{brown}{kit-brown}
\colorlet{lightgray}{black!50}
\colorlet{magenta}{kit-yellow}
\definecolor{magenta}{rgb}{.82,.23.44}
\colorlet{red}{kit-red}
\colorlet{yellow}{kit-yellow}

% rainbow list
\newcommand{\definekitcolorlist}[1]{
	\pgfplotscreateplotcyclelist{kit-#1}{
		{kit-red#1},
		{kit-orange#1},
		{kit-yellow#1},
		{kit-palegreen#1},
		{kit-cyan#1},
		{kit-blue#1},
		{kit-purple#1},
	}
	\pgfplotsset{
		colormap={kit-rainbow-#1}{
			color=(kit-red#1) 
			color=(kit-orange#1)
			color=(kit-yellow#1)
			color=(kit-palegreen#1)
			color=(kit-cyan#1)
			color=(kit-blue#1)
			color=(kit-purple#1)
		}
	}
}

\pgfplotscreateplotcyclelist{kit}{
	{kit-red},
	{kit-orange},
	{kit-yellow},
	{kit-palegreen},
	{kit-cyan},
	{kit-blue},
	{kit-purple},
}
\pgfplotsset{
	colormap={kit-rainbow}{
		color=(kit-red) 
		color=(kit-orange)
		color=(kit-yellow)
		color=(kit-palegreen)
		color=(kit-cyan)
		color=(kit-blue)
		color=(kit-purple)
	}
}

\definekitcolorlist{100}
\definekitcolorlist{70}
\definekitcolorlist{50}
\definekitcolorlist{30}
\definekitcolorlist{15}

